### Function

# Gimp floating_sel_attach

#### Declaration [src]

    gboolean
    gimp_floating_sel_attach (
      GimpLayer* layer,
      GimpDrawable* drawable
    )

#### Description [src]

Attach the specified layer as floating to the specified drawable.

This procedure attaches the layer as floating selection to the drawable.

#### Parameters

`layer` | `GimpLayer`
| The layer (is attached as floating selection).
| The data is owned by the caller of the function.
`drawable` | `GimpDrawable`
| The drawable (where to attach the floating selection).
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.